<?php
header('Content-type: text/html; charset=utf-8');
// Emulate register_globals on
$duree_session = 12 * 60 * 60; // 12 heures
ini_set("session.gc_maxlifetime", $duree_session);
ini_set("session.gc_probability", 1);
ini_set("session.gc_divisor", 1);
session_set_cookie_params($duree_session);
session_start();
//echo ini_get("session.gc_maxlifetime");
if (!ini_get('register_globals')) {
  $superglobals = array($_SERVER, $_ENV, $_FILES, $_COOKIE, $_POST, $_GET);
  if (isset($_SESSION)) {
    array_unshift($superglobals, $_SESSION);
  }
  foreach ($superglobals as $superglobal) {
    extract($superglobal, EXTR_SKIP);
  }
}
//date_default_timezone_set("Europe/Zurich");
require_once 'constant/constant.inc.php';
require_once(APP_DIR . "/database/loader.php");
require_once 't88.inc.php';
// Cette fonction fait la même chose que "die" mais vous pouvez
// faire une mise en forme qui correspond plus à votre site.
function erreur($message)
{
  echo $message;
  exit;
}

function get_config($champ)
{
  $requete = "SELECT valeur FROM config" . ID_GARAGE . " WHERE champ = :champ";
  $statement = Connection::getStatement($requete);
  $statement->bindParam(":champ", $champ);
  $statement->execute();
  if ($ligne = $statement->fetch()) {
    return $ligne["valeur"];
  } else {
    return "";
  }
}

// connexion au serveur de données
$pdo = Connection::getConnection();
define("VERSION", get_config('VERSION'));

require_once 'lib/fonctions_commande.inc.php';
require_once 'lib/fonctions_formulaire.inc.php';
require_once 'lib/fonctions_recherche.inc.php';
require_once 'lib/fonctions_atelier.inc.php';
require_once 'lib/fonctions_location.inc.php';
require_once 'lib/fonctions_shop.inc.php';
require_once 'lib/fonctions_liste.inc.php';
require_once 'lib/fonctions_setup.inc.php';
require_once 'lib/fonctions_divers.inc.php';
require_once 'lib/fonctions_user.inc.php';
require_once 'lib/imagerotate.inc.php';
require_once 'lib/cache.inc.php';
